Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.www.http
Class HttpAcceptCharset

    java.lang.Object
      |
      +--org.w3c.www.http.BasicValue
            |
            +--org.w3c.www.http.HttpAcceptCharset

public class HttpAcceptCharset
extends BasicValue

Fields inherited from class org.w3c.www.http.BasicValue
`isValid, raw, rlen, roff`

Constructor Summary
`HttpAcceptCharset()`

Method Summary
`java.lang.String` | `getCharset()` Get this accept charset clause charset.
`double` | `getQuality()` Get the quality at which this charset is accepted.
`java.lang.Object` | `getValue()` HeaderValue implemenntation - Get this header value.
`protected void` | `invalidateByteValue()` Invalidate the current byte value for this header, if any.
`protected void` | `parse()` parse.
`void` | `setCharset(java.lang.String charset)` Set the charset accepted by this clause.
`void` | `setQuality(double quality)` Set the quality under which this charset is accepted.
`protected void` | `updateByteValue()` Update the RFC822 compatible header value for this object.

Methods inherited from class org.w3c.www.http.BasicValue
`addBytes, appendValue, checkByteValue, emit, error, setBytes, setString, toExternalForm, toString, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HttpAcceptCharset

    public HttpAcceptCharset()

Method Detail

### parse

    protected void parse()
                  throws HttpParserException

  parse.
  Overrides:
    parse in class BasicValue
  Throws:
    HttpParserException - if parsing failed.

### invalidateByteValue

    protected void invalidateByteValue()

  Description copied from class: BasicValue
  Invalidate the current byte value for this header, if any.
  Overrides:
    invalidateByteValue in class BasicValue

### updateByteValue

    protected void updateByteValue()

  Description copied from class: BasicValue
  Update the RFC822 compatible header value for this object.
  Overrides:
    updateByteValue in class BasicValue

### getValue

    public java.lang.Object getValue()

  Description copied from class: BasicValue
  HeaderValue implemenntation - Get this header value.
  Overrides:
    getValue in class BasicValue
  Tags copied from class: BasicValue
  Returns:
    An object representing the parsed value for this header.

### getCharset

    public java.lang.String getCharset()

  Get this accept charset clause charset.
  Returns:
    A String encoding the charset token.

### setCharset

    public void setCharset(java.lang.String charset)

  Set the charset accepted by this clause.
  Parameters:
    `charset` - The accepted charset.

### getQuality

    public double getQuality()

  Get the quality at which this charset is accepted.
  Returns:
    A double value, encoding the quality, or 1.0 if undefined.

### setQuality

    public void setQuality(double quality)

  Set the quality under which this charset is accepted.
  Parameters:
    `q` - The quality for this charset.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD